QGIS Application - Bug report #1229
FindGEOS does not detect GEOS.Framework on OSX 10.5
2008-08-20 07:04 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11289
Description

Under Mac OS X 10.5, current version of [trunk/qgis/cmake/FindGEOS.cmake@9093 [[FindGEOS]].cmake] macro does not detect
GEOS installed from the excellent GEOS framework v3.0.0-2 package by William Kyngesburye.

I've followed the official BuildingFromSource instructions and cmake command reported that some dependencies are not found, but no

specific error for GEOS was printed.

Anyway, | patched the [[FindGEOS]].cmake in more portable way based on [[FindGDAL]].cmake and used it to successfully build QGIS
from SVN trunk (r9104).

I'm attaching patch with my version of the [[FindGEOS]].cmake macro.

History

#1 - 2008-08-20 07:07 PM - Mateusz Loskot -

Hmm, as | see | can not edit Ticket description for QGIS, so please could anyone fix broken link to [[FindGEOS]].cmake file adding source: prefix?

[source:trunk/qgis/cmake/FindGEOS.cmake@9093 [[FindGEOS]].cmake]

#2 - 2008-08-20 08:12 PM - John Tull

| can confirm this issue. I've always mapped it manually with:

-D GEOS_INCLUDE_DIR=/Library/Frameworks/GEQOS.framework/unix/include -D
GEOS_LIBRARY=/Library/Frameworks/GEOS.framework/unix/lib/libgeos.dylib

in my cmake statement. There are some other frameworks | similarly map (proj, gdal, and sqlite).

Using a generic 'cmake .." run, it is only the geos framework that is not discovered. | am also using William Kyngesburye's frameworks, and this was rev
9104.

#3 - 2008-08-20 11:55 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

thanks for the patch. applied in commit:c2c69742 (SVN r9106)
http://www.kyngchaos.com/wiki/software:frameworks
http://wiki.qgis.org/qgiswiki/BuildingFromSource

#4 - 2008-08-21 01:08 PM - Mateusz Loskot -

Jef,

Thanks for applying. | confirm it works.

#5 - 2008-08-21 01:46 PM - John Tull

Worked for me also.

Files

findgeos-using-geos-config.patch 5.15 KB 2008-08-20 Mateusz Loskot -
